BizKitHub
DocsAPI ReferenceCalendar/bff/calendar/calendar-archive
postCalendarAdmin BFF

/bff/calendar/calendar-archive

Archived calendars keep all events, orders and statistics, are hidden from calendar lists and pickers (unless includeArchived), disappear from the public API and reject new events.

CalendarpostBffCalendarCalendar-archive

Parameters

JSON body

Request body

application/json
codestringRequired

External calendar code.

archivedbooleanRequired

true = archive, false = restore.

Response schema

1 status code documented

200Success
successbooleanRequired
archivedbooleanRequired
changedbooleanRequired

Response example

application/json
{
  "success": false,
  "archived": false,
  "changed": false
}

Request example

POST /bff/calendar/calendar-archive

post
curl -X POST "https://api.bizkithub.com/bff/calendar/calendar-archive" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "code": "example_code",
  "archived": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key